<?php

namespace Commocore\Petscii\Browser;

class BrowserFactory
{
    /**
     * @var string
     */
    protected $userAgent;

    /**
     * @param string $userAgent
     */
    public function __construct($userAgent)
    {
        $this->userAgent = $userAgent;
    }

    /**
     * @return array
     */
    protected function getRegisteredBrowsers()
    {
        return array(
            new ContikiBrowser(),
            new SingularBrowser(),
            new HyperLinkBrowser(),
            new GenericBrowser()
        );
    }

    /**
     * @return Browseable
     */
    public function getDetectedBrowser()
    {
        $browsers = $this->getRegisteredBrowsers();

        /** @var Browseable $browser */
        foreach ($browsers as $browser) {
            if ($browser->isUserAgentDetected($this->userAgent)) {
                return $browser;
            }
        }
        return new NonPetsciiBrowser();
    }
}
