<?php

namespace Commocore\Tests;

use PHPUnit_Framework_TestCase;
use Commocore\Petscii\Petscii;
use Commocore\Petscii\Browser\NonPetsciiBrowser;

class NonPetsciiBrowserTest extends PHPUnit_Framework_TestCase
{
    const HTTP_USER_AGENT = 'Mozarella Waterdog browser/5.0';

    /**
     * @var Petscii
     */
    private $petscii;

    public function setUp()
    {
        $_SERVER['HTTP_USER_AGENT'] = self::HTTP_USER_AGENT;
        $this->petscii = new Petscii();
    }

    public function testIsUserAgentDetected()
    {
        $browser = new NonPetsciiBrowser();
        $this->assertFalse($browser->isUserAgentDetected(self::HTTP_USER_AGENT));
    }

    /**
     * @dataProvider data
     * @param string $content
     */
    public function testTrimMask($content)
    {
        $expectedContent = 'The Commodore 64 is an 8-bit home computer introduced in January 1982.';

        $content = $this->petscii->render($content, '<br /><br>');
        $this->assertEquals($expectedContent, $content);
    }

    /**
     * @return array
     */
    public function data()
    {
        return array(
            array(
                '<br /><BR />The Commodore 64 is an 8-bit home computer introduced in January 1982.<br  /><br>'
            )
        );
    }
}
